Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.http.portlets
Class HipergateRenderRequest

    java.lang.Object
      com.knowgate.http.portlets.HipergateRenderRequest

    public class HipergateRenderRequest

extends java.lang.Object

Constructor Summary
`HipergateRenderRequest(HttpServletRequest oServletReq)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`java.lang.String` | `getAuthType()`
`java.lang.String` | `getContextPath()`
`java.util.Locale` | `getLocale()`
`java.util.Enumeration` | `getLocales()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map` | `getParameterMap()`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`PortalContext` | `getPortalContext()`
`PortletMode` | `getPortletMode()`
`PortletSession` | `getPortletSession()`
`PortletSession` | `getPortletSession(boolean create)`
`PortletPreferences` | `getPreferences()`
`java.util.Enumeration` | `getProperties(java.lang.String name)`
`java.lang.String` | `getProperty(java.lang.String name)`
`java.util.Enumeration` | `getPropertyNames()`
`java.lang.String` | `getRemoteUser()`
`java.lang.String` | `getRequestedSessionId()`
`java.lang.String` | `getResponseContentType()`
`java.util.Enumeration` | `getResponseContentTypes()`
`java.lang.String` | `getScheme()`
`java.lang.String` | `getServerName()`
`int` | `getServerPort()`
`java.security.Principal` | `getUserPrincipal()`
`WindowState` | `getWindowState()`
`boolean` | `isPortletModeAllowed(PortletMode mode)`
`boolean` | `isRequestedSessionIdValid()`
`boolean` | `isSecure()`
`boolean` | `isUserInRole(java.lang.String role)`
`boolean` | `isWindowStateAllowed(WindowState state)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object o)`
`void` | `setProperties(java.util.Properties props)`
`void` | `setProperty(java.lang.String name, java.lang.String value)`
`void` | `setWindowState(java.lang.String state)`
`void` | `setWindowState(WindowState state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HipergateRenderRequest

    public HipergateRenderRequest(HttpServletRequest oServletReq)

Method Detail

### isWindowStateAllowed

    public boolean isWindowStateAllowed(WindowState state)

### isPortletModeAllowed

    public boolean isPortletModeAllowed(PortletMode mode)

### getPortletMode

    public PortletMode getPortletMode()

### getWindowState

    public WindowState getWindowState()

### setWindowState

    public void setWindowState(java.lang.String state)

### setWindowState

    public void setWindowState(WindowState state)

### getPreferences

    public PortletPreferences getPreferences()

### getPortletSession

    public PortletSession getPortletSession()

### getPortletSession

    public PortletSession getPortletSession(boolean create)

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### setProperties

    public void setProperties(java.util.Properties props)

### getProperties

    public java.util.Enumeration getProperties(java.lang.String name)

### getPropertyNames

    public java.util.Enumeration getPropertyNames()

### getPortalContext

    public PortalContext getPortalContext()

### getAuthType

    public java.lang.String getAuthType()

### getContextPath

    public java.lang.String getContextPath()

### getRemoteUser

    public java.lang.String getRemoteUser()

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

### getParameter

    public java.lang.String getParameter(java.lang.String name)

### getParameterNames

    public java.util.Enumeration getParameterNames()

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### getParameterMap

    public java.util.Map getParameterMap()

### isSecure

    public boolean isSecure()

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object o)

### removeAttribute

    public void removeAttribute(java.lang.String name)

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

### getResponseContentType

    public java.lang.String getResponseContentType()

### getResponseContentTypes

    public java.util.Enumeration getResponseContentTypes()

### getLocale

    public java.util.Locale getLocale()

### getLocales

    public java.util.Enumeration getLocales()

### getScheme

    public java.lang.String getScheme()

### getServerName

    public java.lang.String getServerName()

### getServerPort

    public int getServerPort()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD